package com.dcsoft.system.consume.service;

import com.dcsoft.system.consume.domain.ConsumeReport;

import java.util.List;

/**
 * 三方上报餐补信息Service接口
 *
 * @author dcsoft
 * @date 2024-10-24
 */
public interface IConsumeReportService
{
    /**
     * 查询三方上报餐补信息
     *
     * @param id 三方上报餐补信息主键
     * @return 三方上报餐补信息
     */
    public ConsumeReport selectConsumeReportById(Long id);

    /**
     * 查询三方上报餐补信息列表
     *
     * @param consumeReport 三方上报餐补信息
     * @return 三方上报餐补信息集合
     */
    public List<ConsumeReport> selectConsumeReportList(ConsumeReport consumeReport);

    /**
     * 新增三方上报餐补信息
     *
     * @param consumeReport 三方上报餐补信息
     * @return 结果
     */
    public int insertConsumeReport(ConsumeReport consumeReport);

    /**
     * 修改三方上报餐补信息
     *
     * @param consumeReport 三方上报餐补信息
     * @return 结果
     */
    public int updateConsumeReport(ConsumeReport consumeReport);

    /**
     * 批量删除三方上报餐补信息
     *
     * @param ids 需要删除的三方上报餐补信息主键集合
     * @return 结果
     */
    public int deleteConsumeReportByIds(Long[] ids);

    /**
     * 删除三方上报餐补信息信息
     *
     * @param id 三方上报餐补信息主键
     * @return 结果
     */
    public int deleteConsumeReportById(Long id);
}
